wibble::commandline::Manpage Class Reference

`#include <doc.h>`

Inheritance diagram for wibble::commandline::Manpage:
[legend]
Collaboration diagram for wibble::commandline::Manpage:
[legend]

## Public Types

enum | where { BEFORE, BEGINNING, END }

## Public Member Functions

| Manpage (const std::string &app, const std::string &ver, int section, const std::string &author)
void | addHook (const std::string &section, where placement, const std::string &text)
void | readHooks (const std::string &file)
void | output (std::ostream &out, const Engine &cp)
Public Member Functions inherited from wibble::commandline::DocMaker
| DocMaker (const std::string &app, const std::string &ver)

## Additional Inherited Members

Protected Attributes inherited from wibble::commandline::DocMaker
std::string | m_app
std::string | m_ver

## Member Enumeration Documentation

enum wibble::commandline::Manpage::where

Enumerator
BEFORE |
BEGINNING |
END |

## Constructor & Destructor Documentation

wibble::commandline::Manpage::Manpage | ( | const std::string & | app,
|  | const std::string & | ver,
|  | int | section,
|  | const std::string & | author
| ) |  |

inline

## Member Function Documentation

void wibble::commandline::Manpage::addHook | ( | const std::string & | section,
|  | where | placement,
|  | const std::string & | text
| ) |  |

inline

void wibble::commandline::Manpage::output | ( | std::ostream & | out,
|  | const Engine & | cp
| ) |  |

References wibble::commandline::Engine::commands(), wibble::commandline::Engine::description, wibble::commandline::Engine::longDescription, wibble::commandline::Engine::name(), and wibble::commandline::Engine::usage.

Referenced by wibble::commandline::StandardParserWithManpage::parse().

void wibble::commandline::Manpage::readHooks | ( | const std::string & | file | ) |

Referenced by wibble::commandline::StandardParserWithManpage::parse().

The documentation for this class was generated from the following files:

- doc.h
- doc.cpp